For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannels

Update Channel

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id
PUT
/stores/:store_hash/v3/channels/:channel_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/channels/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "is_listable_from_ui": false,
> "name": "Facebook by Meta",
> "status": "connected"
>}'
1{
2 "data": {
3 "id": 667159,
4 "name": "ebay",
5 "external_id": "",
6 "is_listable_from_ui": false,
7 "is_visible": true,
8 "status": "connected",
9 "type": "marketplace",
10 "platform": "ebay",
11 "date_created": "2021-05-13T15:41:39Z",
12 "date_modified": "2021-05-13T15:41:39Z",
13 "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/ebay_icon.png"
14 },
15 "meta": {}
16}
Updates a *Channel*. ## Updatable Fields The following fields can be updated. * `name` * `external_id` * `status` * `is_listable_from_ui` * `is_visible` > #### Note > * Partial updates are supported. In most cases, if a field that *cannot* be updated is passed in, the API **will not** respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated. > * `platform` and `type` cannot be updated after a channel is created. > * A channel with status `deleted` or `terminated` cannot be updated.
Was this page helpful?
Previous

Get Channel

Next

Get Channel Active Theme

Built with

Updates a Channel.

Updatable Fields

The following fields can be updated.

  • name
  • external_id
  • status
  • is_listable_from_ui
  • is_visible

Note

  • Partial updates are supported. In most cases, if a field that cannot be updated is passed in, the API will not respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated.
  • platform and type cannot be updated after a channel is created.
  • A channel with status deleted or terminated cannot be updated.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
external_idstringOptional

Associated ID within a system / platform outside of BC.

is_listable_from_uibooleanOptional
Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
is_visiblebooleanOptional

Indicates if a channel is visible in the BigCommerce control panel. If false, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is true if not specified on create.

namestringOptional
Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
statusenumOptional

The status of the channel; channel type, platform, and status must be a valid combination. terminated is not valid for PUT or POST requests. deleted is not valid for POST requests. prelaunch is not valid for PUT requests.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.